Bug 195857 - missing symbol from the library
missing symbol from the library
Product: Fedora
Classification: Fedora
Component: libpng10 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
Blocks: 195858
  Show dependency treegraph
Reported: 2006-06-18 17:23 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-06 19:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-06-18 17:23:57 EDT
Description of problem:
png_read_destroy is missing from the current rawhide version of libpng12 yet is
listed in the png.h file

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Write a small code snippet which calls png_read_destroy and try to link
Actual results:
Link fails

Expected results:
Link should work

Additional info:
Comment 1 Paul F. Johnson 2006-06-21 04:17:55 EDT
Any sign of a fix on this?
Comment 2 Matthias Clasen 2006-06-21 09:03:52 EDT
I think this will be fixed by libpng10 being dropped from Core...
Comment 3 Paul F. Johnson 2006-06-21 09:07:03 EDT
Any idea when that will happen?
Comment 4 Paul Howarth 2006-06-29 16:07:16 EDT
libpng10 and libpng10-devel have already gone from rawhide.

If you need them, you (or someone else) will need to submit them for Extras.

The version of libpng10 from FC5 builds fine on rawhide with a minimal buildroot.

Note You need to log in before you can comment on or make changes to this bug.